# /v1/proofing/check

> /v1/proofing/check of the ReportingCloud Web API offers one GET method, which spell checks a text in a given language and returns misspelled and repeated words.

- **Product:** ReportingCloud
- **Section:** Documentation
- **Kind:** Endpoint
- **Path:** ReportingCloud > API Reference > Web API > Proofing > /v1/proofing/check
- **86 words**
- **Web URL:** https://docs.textcontrol.com/reporting-cloud/reference/web-api/proofing/check/
- **LLMs URL:** https://docs.textcontrol.com/reporting-cloud/reference/web-api/proofing/check/llms.txt
- **LLMs-Full URL:** https://docs.textcontrol.com/reporting-cloud/reference/web-api/proofing/check/llms-full.txt

---

This endpoint offers the following method.

| Method | Endpoint | Description |
|---|---|---|
| [`GET`](https://docs.textcontrol.com/reporting-cloud/reference/web-api/proofing/check/get/llms-full.txt) | [/v1/proofing/check](https://docs.textcontrol.com/reporting-cloud/reference/web-api/proofing/check/get/llms-full.txt) | Checks text for spelling errors. |

---

## In This Section

- [GET /v1/proofing/check](https://docs.textcontrol.com/reporting-cloud/reference/web-api/proofing/check/get/llms-full.txt): Spell check a text with the text and language parameters and get IncorrectWord objects with start, length, text, isDuplicate and language for each misspelling.

---

## Nearby

- **Previous:** [GET /v1/proofing/availabledictionaries](https://docs.textcontrol.com/reporting-cloud/reference/web-api/proofing/availabledictionaries/get/llms-full.txt)
- **Next:** [GET /v1/proofing/check](https://docs.textcontrol.com/reporting-cloud/reference/web-api/proofing/check/get/llms-full.txt)
